Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.mathutil.error
Enum ErrorCalculationMode

    java.lang.Object
      java.lang.Enum<ErrorCalculationMode>
          org.encog.mathutil.error.ErrorCalculationMode

All Implemented Interfaces:
  Serializable, Comparable<ErrorCalculationMode>

    public enum ErrorCalculationMode

extends Enum<ErrorCalculationMode>

Selects the error calculation mode for Encog.

Enum Constant Summary
`ESS` Sum of Squares error.
`MSE` Mean square error.
`RMS` Root mean square error.

Method Summary
`static ErrorCalculationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ErrorCalculationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RMS

    public static final ErrorCalculationMode RMS

  Root mean square error.

### MSE

    public static final ErrorCalculationMode MSE

  Mean square error.

### ESS

    public static final ErrorCalculationMode ESS

  Sum of Squares error.

Method Detail

### values

    public static ErrorCalculationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ErrorCalculationMode c : ErrorCalculationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ErrorCalculationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.